This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 227291 - Review Request: ptunnel - Reliably tunnel TCP connections over ICMP packets
Review Request: ptunnel - Reliably tunnel TCP connections over ICMP packets
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-02-04 15:53 EST by Greg Hogan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 11:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Hogan 2007-02-04 15:53:50 EST
My first package, need a sponsor.

Spec URL: http://s3.amazonaws.com/greg/ptunnel.spec
SRPM URL: http://s3.amazonaws.com/greg/ptunnel-0.61-2.src.rpm
Description:
Ping Tunnel is a tool for reliably tunneling TCP connections over ICMP echo
request and reply packets (commonly known as ping requests and replies). It
is useful for evading firewalls that, for whatever reason, prevent outgoing
TCP connections, but allow in- and outgoing ICMP packets. The tunnel works
by having a proxy run on a machine ping-able from the inside of the
firewall, with the client running on the local machine from which TCP access
is required.
Comment 1 manuel wolfshant 2007-02-04 18:07:04 EST
Not an official review because you need a sponsor, which I am not.

- rpmlint is silent on both src.rpm and generated rpm [1]
- package meets naming guidelines (upstream calls the project "Ping Tunnel",
refers to it as "ptunnel" and packages it as "PingTunnel-release.tar.gz").
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, sha1sum cea9c16fa4da0af2f59f2ece7ede56650095a752 
PingTunnel-0.61.tar.gz
- package builds on devel (x86_64) [1}
- MUSTFIX: missing BR libpcap-devel
- MUSTFIX: unnecessary BR libpcap
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
 files/directories
- MUSTFIX: duplicate file ptunnel.8.gz
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file since the program is just command line
- no static, .la, .pc
- no scriptlets

 [1] with corrected BR
 [2] the %files section could be rewritten as
%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README web/
%{_bindir}/ptunnel
%{_mandir}/man8/ptunnel.8*


SHOULD
- with corrected BR, builds in mock
- runs as advertised


Please correct the above mentioned MUSTFIX and once you find a sponsor, you
should point him to this pre-review.
Comment 2 Greg Hogan 2007-02-07 05:25:05 EST
http://s3.amazonaws.com/greg/ptunnel-0.61-3/ptunnel.spec
http://s3.amazonaws.com/greg/ptunnel-0.61-3/ptunnel-0.61-3.src.rpm

%changelog
* Wed Feb 07 2007 Greg Hogan <gregmhogan@gmail.com> - 0.61-3
- libpcap moved development files into separate package in fc6, so
  BuildRequires uses libpcap for <= fc5, and libpcap-devel >= fc6.
- Improved %files section.
Comment 3 manuel wolfshant 2007-02-07 07:07:04 EST
In an ideal world you could use %{?dist} to discriminate among distributions.
And using it would allow build to succeed on other distros like RHEL3/4/5, too.
With Fedora only in mind, your solution is fine.
Comment 4 Mamoru TASAKA 2007-06-06 14:30:41 EDT
Some notes:

* invalid macro
-------------------------------------------------
%define VER %(rpmquery --qf '%{VERSION}' fedora-release)
-------------------------------------------------
  - This won't work for two reason.
  * First the current rawhide returns the value VER as 7.89,
    not integer
  * And calling rpm command in rpmbuild is regarded as dangerous.
    Instead you can use %fedora macro. 
--------------------------------------------------
%if 0%{?fedora} <= 5
BuildRequires:  libpcap
%else
BuildRequires:  libpcap-devel
%endif
---------------------------------------------------

* optflags
  - This spec file does not honor fedora specific compilation
    flags.
---------------------------------------------------
+ make
gcc -Wall -g -MM *.c > .depend
gcc -Wall -g -c -o ptunnel.o ptunnel.c
gcc -Wall -g -c -o md5.o md5.c
gcc -o ptunnel ptunnel.o md5.o -lpthread -lpcap
--------------------------------------------------
Comment 5 Mamoru TASAKA 2007-06-13 14:23:16 EDT
ping?
Comment 6 Mamoru TASAKA 2007-06-21 10:59:23 EDT
Again ping?
Comment 7 Mamoru TASAKA 2007-07-03 14:04:54 EDT
This bug will be closed if no response is received from the
reporter within ONE WEEK
Comment 8 Mamoru TASAKA 2007-07-10 11:52:22 EDT
CLOSING.

If someone wants to import this package into Fedora,
please file a new review request, thank you!!

Note You need to log in before you can comment on or make changes to this bug.